Bug 87312 - Update misc/figlet to 2.2.2
Summary: Update misc/figlet to 2.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David E. O'Brien
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-12 11:20 UTC by Michael Landin
Modified: 2009-03-13 02:46 UTC (History)
0 users

See Also:


Attachments
file.diff (4.65 KB, patch)
2005-10-12 11:20 UTC, Michael Landin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Landin freebsd_committer 2005-10-12 11:20:15 UTC
	Update to -> 2.2.2
	Use DATADIR macro to make portlint happy
	Add DOCSDIR, and put figmagic and figfont.txt
Comment 1 Michael Landin freebsd_committer 2005-10-12 11:22:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->obrien

Over to maintainer
Comment 2 David E. O'Brien freebsd_committer 2005-10-16 04:44:31 UTC
State Changed
From-To: open->analyzed

I've committed adding the documentation of figlet fonts. 

However: 
Installing the magic file snippet it useless as FreeBSD's magic file 
already includes it. 
The change to pkg-plist is totally wrong - it quiets a bogus portlint 
warning and potentially creates a bug as DATADIR is not used in the 
building of the actual binary 

I am not sure the only change in figlet 2.2.2 from 2.2.1 (License changed 
from "Artistic License" to "Academic Free License") is a good change. 
Help comparing the "Artistic License" to "Academic Free License" would be 
appreciated.
Comment 3 David E. O'Brien freebsd_committer 2009-03-13 02:46:26 UTC
State Changed
From-To: analyzed->closed

Will stay at this version due to license.